### Enumeration

# Gimp FillType

#### Declaration

    enum Gimp.FillType

#### Description [src]

Types of filling.

#### Members

`GIMP_FILL_FOREGROUND`

  Foreground color.

  - Value: `0`
  - Available since: 3.0
`GIMP_FILL_BACKGROUND`

  Background color.

  - Value: `1`
  - Available since: 3.0
`GIMP_FILL_CIELAB_MIDDLE_GRAY`

  Middle Gray (CIELAB).

  - Value: `2`
  - Available since: 3.0
`GIMP_FILL_WHITE`

  White.

  - Value: `3`
  - Available since: 3.0
`GIMP_FILL_TRANSPARENT`

  Transparency.

  - Value: `4`
  - Available since: 3.0
`GIMP_FILL_PATTERN`

  Pattern.

  - Value: `5`
  - Available since: 3.0